<?php
/** 
 * Plugin Name: Laundryes Core
 * Plugin URI:  http://jkthemes.com/
 * Description: This is an example plugin to going along with the TGM Plugin Activation class.
 * Author:      Nauman Anwar
 * Author URI:  http://jkthemes.com/
 * Version:     1.0
 * Text Domain: laundryes_core
 * Domain Path: /language
 */
define('SLICETHEME_PLUGIN_PATH', plugin_dir_path( __FILE__ ));
require_once('CMB2/init.php');
require_once('posttypes.php');
require_once('shortcodes.php');
require_once('jkwidgets.php');
//require_once( 'import/import.php' );
//require_once( 'export/class-admin-export.php' );
//require_once('demoimporter/import.php');
//echo plugins_url( 'wordpress-importer/wordpress-importer.php', __FILE__ );
require_once('loader.php');
add_filter( 'cmb2_admin_init', 'jk_register_meta_boxes' );

function jk_register_meta_boxes( $meta_boxes )
{

  $cmb = new_cmb2_box( array(
        'id'           => 'contact-information',
        'title'        => 'Contact Information',
        'object_types' => array( 'page' ), // post type
        'show_on'      => array( 'key' => 'page-template', 'value' => 'faqs-page.php' ),
        'context'      => 'normal', //  'normal', 'advanced', or 'side'
        'priority'     => 'high',  //  'high', 'core', 'default' or 'low'
        'show_names'   => true, // Show field names on the left
    ) );

$group_field_id = $cmb->add_field( array(
                'id'          => 'faqs_group',
                'type'        => 'group',
                'description' => esc_html__( 'Generates reusable form entries', 'cmb2' ),
                
                // 'repeatable'  => false, // use false if you want non-repeatable group
                'options'     => array(
                    'group_title'   => esc_html__( 'Faq {#}', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
                    'add_button'    => esc_html__( 'Add Another Faq', 'cmb2' ),
                    'remove_button' => esc_html__( 'Remove Faq', 'cmb2' ),
                    'sortable'      => true, // beta
                    // 'closed'     => true, // true to have the groups closed by default
                ),
            ) );
            
            // Id's for group's fields only need to be unique for the group. Prefix is not needed.
            $cmb->add_group_field( $group_field_id, array(
                'name' => 'Question',
                'id'   => 'question',
                'type' => 'text',
                // 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
            ) );

            $cmb->add_group_field( $group_field_id, array(
                'name' => 'Answer',
                'description' => 'Write a short Answer for this faqs',
                'id'   => 'answer',
                'type' => 'textarea_small',
            ) );
}
